## -*- coding: utf-8; -*-

<script type="text/x-template" id="${grid.vue_tagname}-template">
  <${b}-table :data="data"
              :loading="loading">

    % for column in grid.get_vue_columns():
        <${b}-table-column field="${column['field']}"
                           label="${column['label']}"
                           v-slot="props"
                           cell-class="c_${column['field']}">
          <span v-html="props.row.${column['field']}"></span>
        </${b}-table-column>
    % endfor

  </${b}-table>
</script>

<script>

  let ${grid.vue_component} = {
      template: '#${grid.vue_tagname}-template',
      methods: {},
  }

  let ${grid.vue_component}CurrentData = ${json.dumps(grid.get_vue_data())|n}

  let ${grid.vue_component}Data = {
      data: ${grid.vue_component}CurrentData,
      loading: false,
  }

</script>
